# Uncomment for bootstrapping on so-name bump.
%global bootstrap 1

# Filter provides from plugins.
%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/.*$


Name:		xviewer
Version:	1.6.0
Release:	4%{?dist}
Summary:	Fast and functional graphics viewer

License:	GPLv2+ and LGPLv2+
Url:		https://github.com/linuxmint/%{name}
Source:		%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libexif)
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:	pkgconfig(libjpeg)
%else
BuildRequires:	libjpeg-devel
%endif
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	shared-mime-info
BuildRequires:	yelp-devel


Requires:	gsettings-desktop-schemas%{?_isa}
Requires:	shared-mime-info%{?_isa}
Requires:	xapps%{?_isa}
%if !0%{?bootstrap}
Requires:	%{name}-plugins%{?_isa}
%endif # !0%%{?bootstrap}

%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:	yelp%{?_isa}
%else
Requires:	yelp%{?_isa}
%endif

%description
Xviewer is a simple graphics viewer for the Cinnamon desktop and others
which uses the gdk-pixbuf library. It can deal with large images, and zoom
and scroll with constant memory usage. Its goals are simplicity and standards
compliance.


%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa}				== %{version}-%{release}

%description devel
This package contains the development files to developt plugins for %{name}.


%package doc
Summary:        Documentation files for %{name}

BuildArch:	noarch
BuildRequires:	gtk-doc

%description doc
This package contains the documentation files for %{name}.


%prep
%autosetup -p 1
NOCONFIGURE=1 %{_bindir}/gnome-autogen.sh


%build
%configure							\
	--disable-silent-rules					\
	--enable-gtk-doc

%make_build


%install
%make_install
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}/plugins		\
	%{buildroot}%{_libdir}/%{name}/plugins			\
	%{buildroot}%{_mandir}/man1
%{__install} -pm 0644 debian/%{name}.1 %{buildroot}%{_mandir}/man1
%{_bindir}/find %{buildroot} -type f -name '*.a' -print -delete
%{_bindir}/find %{buildroot} -type f -name '*.la' -print -delete
%find_lang %{name}


%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
        %{buildroot}%{_datadir}/applications/*.desktop

# Validate AppData-files.
%{_bindir}/appstream-util validate-relax --nonet		\
        %{buildroot}%{_datadir}/appdata/*.appdata.xml


%post
/bin/touch %{_datadir}/icons/hicolor >&/dev/null || :
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/update-desktop-database >&/dev/null || :
%endif # (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)


%postun
if [ $1 -eq 0 ]; then
	/bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/update-desktop-database >&/dev/null || :
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
%endif # (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)


%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%endif # (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)


%files -f %{name}.lang
%dir %{_datadir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins
%doc ChangeLog README THANKS debian/changelog
%license AUTHORS COPYING debian/copyright
%exclude %{_datadir}/%{name}/gir-1.0/
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/*/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*


%files devel
%{_datadir}/%{name}/gir-1.0
%{_includedir}/%{name}-3.0
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%license %{_datadir}/licenses/%{name}*
%doc %{_datadir}/doc/%{name}*
%doc %{_datadir}/gtk-doc


%changelog
* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-4
- Add required scriptlets for EPEL7

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-3
- Redistributable build on EPEL7

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-2
- Bootstrapping on EPEL7

* Sat Nov 04 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-1
- Update to 1.6.0 release

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.3-2
- Fix filtered provides

* Wed Jun 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.3-1
- New upstream release (rhbz#1465898)

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- New upstream release (rhbz#1454987)

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- Initial import (rhbz#1424825)

* Sun May 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-0.1
- New upstream release (rhbz#1448442)
- Properly own plugin-dirs

* Sat May 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.1
- New upstream release (rhbz#1448442)

* Tue Feb 21 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.3
- Initial import (rhbz#1424825)
- Bootstrap-build for xviewer-plugins

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.2
- Fix dir-ownership for %%{_datadir}/help

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.1
- Initial rpm-release (rhbz#1424825)
